### Constructor

# Camel StreamNull new

#### Declaration [src]

    CamelStream*
    camel_stream_null_new (
      void
    )

#### Description [src]

Returns a null stream. A null stream is always at eof, and always returns success for all reads and writes.

#### Return value

Type: `CamelStream`

A new `CamelStreamNull`.

The caller of the function takes ownership of the data, and is responsible for freeing it.